﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="_9095.WebForm1" %>

<%@ Register Assembly="ThinkGeo.MapSuite.WebForms" Namespace="ThinkGeo.MapSuite.WebForms" TagPrefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">      
        function OnMapCreating(map) {
            OpenLayers.Control.MousePosition = OpenLayers.Class(OpenLayers.Control.MousePosition, {
                formatOutput: function (lonLat) {
                    var newHtml = '';
                    var point = new OpenLayers.Geometry.Point(lonLat.lon, lonLat.lat);
                    var srcProj = new OpenLayers.Projection('EPSG:900913');
                    var desProj = new OpenLayers.Projection('EPSG:4326');
                    var newPoint = OpenLayers.Projection.transform(point, srcProj, desProj);
                    var newHtml = newPoint.x + ',' + newPoint.y
                    return newHtml;
                }
            });
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <cc1:Map ID="Map1" runat="server" Height="600px" Width="800px"></cc1:Map>            
        </div>
    </form>
</body>
</html>
